読者です 読者をやめる 読者になる 読者になる

Ruby1.9.3がインストールできない件

UbuntuにRubyを導入する - みさとのPCめもでうまくいかなかった部分の解説。

RVMをインストールしていきなりRuby1.9.3をインストールしようとすると、こんなエラーが出た。

Error running 'make ', please read /usr/local/rvm/log/ruby-1.9.3-head/make.log
There has been an error while running make. Halting the installation.

なんかインストールできなかったみたい。読めといわれたのでログを読むよ。

ログの抜粋

executable host ruby is required. use --with-baseruby option.
make: *** [miniprelude.c] エラー 1

……えーと。Rubyを使うためのRubyが必要、と。
解決方法はUbuntuにRubyを導入する - みさとのPCめもに書いた。